.. AUTO-GENERATED FILE. DO NOT EDIT. fulfillment-associate-associates-get-many ========================================= Source ------ - Repository: ``jef-systems/jef-fulfillment-associate-backend`` - Source Run ID: ``25101494786`` - Source SHA: ``c226ca62ef6b026753728d0bc8bc0d132f27115d`` - Module: ``fulfillment-associate`` - Documentation Scope: ``get`` - Lambda: ``jef-fulfillment-associate-get-2`` Endpoint -------- - API Name: ``jef-fulfillment-associate`` - Action Name: ``get`` - Method: ``GET`` - Scope Label: ``GET`` - Resource Path: ``/fulfillment-associate-associates-get-many`` - Complete Endpoint: ``https://g641agft18.execute-api.ap-southeast-1.amazonaws.com/prod/fulfillment-associate-associates-get-many`` - Lambda ARN: ``arn:aws:lambda:ap-southeast-1:246715082475:function:jef-fulfillment-associate-get-2`` - curl payload mode: ``query_string`` API Gateway Description ----------------------- .. code-block:: text Function: jef-fulfillment-associate-get-2 API Name: jef-fulfillment-associate Action: get Method: GET Resource Path: /fulfillment-associate-associates-get-many Table: - table: jef-fulfillment-associate-associates - operation: get-many Payload Schema: - gsi_1_pk: assigned_store_pk - gsi_1_sk: full_name Payload Example: - gsi_1_pk: store-001 - gsi_1_sk: Juan Dela Cruz Response Schema: - exists: boolean - message: string - items: [{"associate_number":"string","full_name":"string","display_name":"string","pin":"string","mobile_number":"string","email":"string","assigned_store_pk":"string","assigned_store_name":"string","is_active":"boolean","last_login_at":"string","notes":"string","created_at":"string","updated_at":"string","idempotency_key":"string"}] Request Payload --------------- .. code-block:: json { "gsi_1_pk": "assigned_store_pk", "gsi_1_sk": "full_name" } Response -------- .. code-block:: json { "exists": "boolean", "message": "string", "items": "[{\"associate_number\":\"string\",\"full_name\":\"string\",\"display_name\":\"string\",\"pin\":\"string\",\"mobile_number\":\"string\",\"email\":\"string\",\"assigned_store_pk\":\"string\",\"assigned_store_name\":\"string\",\"is_active\":\"boolean\",\"last_login_at\":\"string\",\"notes\":\"string\",\"created_at\":\"string\",\"updated_at\":\"string\",\"idempotency_key\":\"string\"}]" } CMD curl -------- .. code-block:: text curl "https://g641agft18.execute-api.ap-southeast-1.amazonaws.com/prod/fulfillment-associate-associates-get-many?gsi_1_pk=store-001&gsi_1_sk=Juan+Dela+Cruz" PowerShell curl --------------- .. code-block:: text curl.exe "https://g641agft18.execute-api.ap-southeast-1.amazonaws.com/prod/fulfillment-associate-associates-get-many?gsi_1_pk=store-001&gsi_1_sk=Juan+Dela+Cruz"